summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Zhu Qun-Ying2019-12-19 16:56:25 +0100
committer Willy Sudiarto Raharjo2019-12-19 16:56:25 +0100
commit7e124537fd886c14f022c0bd50f2082736f376b7 (patch)
treefb7fc1c398cec342553850cd373808785adb527b /libraries
parent4585f88a464b5ee1bd51284a84cb044e257c5fb5 (diff)
downloadslackbuilds-7e124537fd886c14f022c0bd50f2082736f376b7.tar.gz
libraries/librhtv: Added (Turbo Vision TUI Library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/librhtv/README18
-rw-r--r--libraries/librhtv/librhtv.SlackBuild109
-rw-r--r--libraries/librhtv/librhtv.info10
-rw-r--r--libraries/librhtv/librhtv.pc11
-rw-r--r--libraries/librhtv/slack-desc19
5 files changed, 167 insertions, 0 deletions
diff --git a/libraries/librhtv/README b/libraries/librhtv/README
new file mode 100644
index 0000000000..7873230457
--- /dev/null
+++ b/libraries/librhtv/README
@@ -0,0 +1,18 @@
+librhtv (Turbo Vision TUI Library)
+
+This library is based on the Turbo Vision library made by Borland
+Corporation. That library was released by Borland under a Public
+Domain license. RHTVision is Borland's Turbo Vision library but with
+enhancements, some changes and a GPL license.
+
+Turbo Vision (TVision for short) is a TUI (Text User Interface) that
+implements the well known CUA widgets. With TVision you can create an
+intuitive text mode application, intuitive means it will have CUA
+like interface (check boxes, radio buttons, push buttons, input lines,
+pull-down menues, status bars, etc.). All the people accustomed to the
+Windows, MacOS, OS/2, Motif, GTK, etc. interfaces will understand the
+interface at first sight.
+
+Note: rhtv-config is not included in the final package, as some of its
+output (--dir-libs, --include) contain source directory. A custom librhtv.pc
+file is used.
diff --git a/libraries/librhtv/librhtv.SlackBuild b/libraries/librhtv/librhtv.SlackBuild
new file mode 100644
index 0000000000..af7a046305
--- /dev/null
+++ b/libraries/librhtv/librhtv.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/sh
+
+# Slackware build script for <librhtv>
+
+# Copyright 2019, Zhu Qun-Ying
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=librhtv
+VERSION=${VERSION:-2.2.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+rpm2cpio < $CWD/$PRGNAM-$VERSION-1.fc28.src.rpm | cpio -imdv
+
+tar xvf tvision-$VERSION.tar.gz
+cd tvision
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+
+# need to modified the libdir in the Makefile
+if [ "$ARCH" = "x86_64" ]; then
+ sed -i -s 's/prefix)\/lib/prefix)\/lib64/g' Makefile
+fi
+
+make
+make install prefix=$PKG/usr
+
+rm -rf $PKG/usr/bin
+strip --strip-unneeded $PKG/usr/lib$LIBDIRSUFFIX/librhtv.so.$VERSION
+
+mkdir -p $PKG/usr/lib$LIBDIRSUFFIX/pkgconfig
+if [ "$ARCH" != "x86_64" ]; then
+ sed -s 's/lib64/lib/g' $CWD/librhtv.pc > $PKG/usr/lib/pkgconfig/librhtv.pc
+else
+ install -m 0644 $CWD/librhtv.pc $PKG/usr/lib64/pkgconfig
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/*.txt doc/*.html readme.txt examples $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+find $PKG/usr/doc/$PRGNAM-$VERSION/examples -name ".cvsignore" | xargs rm
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/librhtv/librhtv.info b/libraries/librhtv/librhtv.info
new file mode 100644
index 0000000000..5f275c8439
--- /dev/null
+++ b/libraries/librhtv/librhtv.info
@@ -0,0 +1,10 @@
+PRGNAM="librhtv"
+VERSION="2.2.2"
+HOMEPAGE="http://tvision.sourceforge.net/"
+DOWNLOAD="https://sourceforge.net/projects/tvision/files/UNIX/2.2.2%20git%20b73f59a%20Fedora%2028/librhtv-2.2.2-1.fc28.src.rpm"
+MD5SUM="b8db7947e156a2ce3551a33af0ac9805"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Zhu Qun-Ying"
+EMAIL="zhu.qunying@gmail.com"
diff --git a/libraries/librhtv/librhtv.pc b/libraries/librhtv/librhtv.pc
new file mode 100644
index 0000000000..961fbf2f47
--- /dev/null
+++ b/libraries/librhtv/librhtv.pc
@@ -0,0 +1,11 @@
+prefix=/usr
+exec_prefix=${prefix}
+libdir=/usr/lib64
+includedir=${prefix}/include/rhtvision
+
+Name: librhtv
+Description: Port of Turbo Vision from Borland.
+Version: 2.2.2
+URL: http://tvision.sourceforge.net/
+Libs: -lrhtv
+Cflags: -I${includedir}
diff --git a/libraries/librhtv/slack-desc b/libraries/librhtv/slack-desc
new file mode 100644
index 0000000000..e976b04f1f
--- /dev/null
+++ b/libraries/librhtv/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+librhtv: librhtv (Turbo Vision TUI Library)
+librhtv:
+librhtv: This library is based on the Turbo Vision library made by Borland
+librhtv: Corporation. That library was released by Borland under a Public
+librhtv: Domain license. RHTVision is Borland's Turbo Vision library but with
+librhtv: enhancements, some changes and a GPL license.
+librhtv:
+librhtv: Homepage: http://tvision.sourceforge.net/
+librhtv:
+librhtv:
+librhtv: